/// Programa "SQ"
/// Diseñado para administrar un comercio de venta de productos quimicos llevando un control e historial
/// Iniciado el 13/09/2020 por Claudio Ricardo Folgán
/// Utilizando Harbour + HMG Ide Unicode v 3.4.4 Stable 32 bits.

#include <hmg.ch>
#include "fileio.ch"

Function Main

LOCAL cFuenteName := "Georgia"
LOCAL nFuenteSize := 9
LOCAL nLabelRow := 72
LOCAL aBackColor := {110,110,110}
LOCAL aFontColor := {255,255,255}
// LOCAL i
// LOCAL aFiles := {'Articulos.dbf','Balance.dbf','Clientes.dbf','Config.ini','Gastos.dbf','Licencia.txt',;
					// 'Logo.jpg','Proveed.dbf','Rubros.dbf','Tickets.dbf','TmpArt.dbf','TmpGastos.dbf',;
					// 'TmpVenta.dbf','TmpVentas.dbf','Ventas.dbf'}

	// For i = 1 To Len (aFiles)

		// If !File (aFiles [i])
		
			// MsgStop ("Falta el archivo: " + AllTrim (aFiles [i]) + CRLF + ;
						// "El programa NO puede ejecutarse sin él..." + CRLF + ;
						// "Contáctese al (011) 6301-6162 para solucionarlo." , "Atención !")
						
				// Quit
				
		// EndIf
		
	// Next

// PUBLIC pvCopyNumber := "INF001"

// PUBLIC plFlag := .F.
// PUBLIC pcFileIni := GetCurrentFolder () + "\Config.ini"
PUBLIC pnRowIniMain := 50
PUBLIC pnColIniMain := 50

#pragma TEXTHIDDEN(1)
	PUBLIC pcRazonSocial := "SQ  Soluciones Quimicas  S.A."
	PUBLIC pcDireccion := "Av. Constituyentes 918"
#pragma TEXTHIDDEN(0)

// PUBLIC pcTelefono := ""
// PUBLIC pcCUIT := ""
// PUBLIC pcContribuyente := ""
// PUBLIC pcFacebook := ""
// PUBLIC pcInstagram := ""
// PUBLIC pcPassword := ""
// PUBLIC pcPassword2 := ""
// PUBLIC pcPassword3 := ""

// PUBLIC paArrayArticulo := {}
// PUBLIC paArrayCliente := {}
// PUBLIC paArrayProveedor := {}
// PUBLIC paArrayRubro := {}
// PUBLIC paArrayPrimas := {}
// PUBLIC pnShowWinWhileEdit := 0
// PUBLIC pnIntentos := 0

SET MULTIPLE OFF
SET CENTURY ON
SET DATE FRENCH
SET DECIMALS to 2
SET BROWSESYNC ON
SET TOOLTIPSTYLE BALLOON
SET TOOLTIPBACKCOLOR { 000, 000, 000 } 
SET TOOLTIPFORECOLOR { 255, 255, 255 }

// Leer_Ini ()														// Leer el archivo " Config.ini "

	// If Fdecrypt (pcPassword2) <> "XXXXXXXXXXXXXXX" .OR. Fdecrypt (pcPassword3) <> "XXXXXXXXXXXXXXX"
	
		// MsgStop ("Se ha producido un error grave en el software y no puede iniciarse" + CRLF + ;
				// "Pongase en contacto con el programador dejando un mensaje" + CRLF + ;
				// "al telefono: (011) 6301-6162 para solucionarlo." , "Fallo De Protección General")
				
		// Quit
		
	// EndIf

// Open_DataBases ()												// Abro todas las DB y sus Index


	DEFINE WINDOW Main AT pnRowIniMain , pnColIniMain WIDTH 1000 HEIGHT 140 VIRTUAL WIDTH Nil VIRTUAL HEIGHT Nil ;
		TITLE pcRazonSocial + " - " + pcDireccion ICON "aaIcono32" MAIN NOMAXIMIZE NOMINIMIZE NOSIZE CURSOR NIL ;
		ON INIT Nil ON RELEASE Nil ON INTERACTIVECLOSE Main_OnInteractive_Close () ;
		ON MOUSECLICK Nil ON MOUSEDRAG Nil ON MOUSEMOVE Nil ON SIZE Nil ON MAXIMIZE Nil ON MINIMIZE Nil;
		ON PAINT Nil BACKCOLOR aBackColor NOTIFYICON NIL NOTIFYTOOLTIP NIL ON NOTIFYCLICK Nil;
		ON GOTFOCUS Nil ON LOSTFOCUS Nil ON SCROLLUP Nil ON SCROLLDOWN Nil ON SCROLLLEFT Nil;
		ON SCROLLRIGHT Nil ON HSCROLLBOX Nil ON VSCROLLBOX Nil

		// DEFINE IMAGE Image_13
			// ROW    90
			// COL    0
			// WIDTH 960
			// HEIGHT 550
			// PICTURE "Arch"
			// HELPID Nil
			// VISIBLE .T.
			// STRETCH .T.
			// ACTION Main_Fondo_Click ()
		// END IMAGE

		DEFINE STATUSBAR FONT cFuenteName SIZE nFuenteSize
			STATUSITEM pcRazonSocial + " - v. 1.0" WIDTH 150
			CLOCK WIDTH 80
			DATE WIDTH 100
			STATUSITEM "" Width 10
		END STATUSBAR

		DEFINE IMAGE Image_1						// Boton 1  -  VENTAS
			ROW    1
			COL    1
			WIDTH  70
			HEIGHT 70
			TRANSPARENT .T.
            TRANSPARENTCOLOR Nil
            BACKGROUNDCOLOR aBackColor
			PICTURE "CajaReg"
            ADJUSTIMAGE .F.
			HELPID Nil
			VISIBLE .T.
			STRETCH .F.
            TOOLTIP "Ventas (Realizar una operación de venta.)"
			// ACTION Main_Button_Ventas_Action ()
			ACTION MsgInfo ("Option selected...")
		END IMAGE

     DEFINE LABEL Label_1
            // PARENT <ParentWindowName>
            ROW nLabelRow
            COL 1
            VALUE "Ventas"
            ONCLICK Nil
            WIDTH 70
            HEIGHT 25
            AUTOSIZE .F.
            FONTNAME cFuenteName
            FONTSIZE nFuenteSize
            FONTBOLD .F.
            FONTITALIC .T.
            FONTUNDERLINE .F.
            FONTSTRIKEOUT .F.
            TOOLTIP ""
            // BACKCOLOR {}
            FONTCOLOR aFontColor
            TRANSPARENT .T.
            ALIGNMENT Center						// Left | Right | Center
            HELPID Nil
            VISIBLE .T.
            ENDELLIPSES .F.
            NOPREFIX .T.
      END LABEL

		DEFINE IMAGE Image_2						// Boton 2  -  GASTOS
			ROW    1
			COL    80
			WIDTH  70
			HEIGHT 70
			TRANSPARENT .T.
            TRANSPARENTCOLOR Nil
            BACKGROUNDCOLOR aBackColor
			PICTURE "Sales"
            ADJUSTIMAGE .F.
			HELPID Nil
			VISIBLE .T.
			STRETCH .F.
            TOOLTIP "Gastos (Ingresar Gastos realizados.)"
			// ACTION Main_Button_Gastos_Action ()
			ACTION MsgInfo ("Option selected...")
		END IMAGE

     DEFINE LABEL Label_2
            // PARENT <ParentWindowName>
            ROW nLabelRow
            COL 80
            VALUE "Gastos"
            ONCLICK Nil
            WIDTH 70
            HEIGHT 25
            AUTOSIZE .F.
            FONTNAME cFuenteName
            FONTSIZE nFuenteSize
            FONTBOLD .F.
            FONTITALIC .T.
            FONTUNDERLINE .F.
            FONTSTRIKEOUT .F.
            TOOLTIP ""
            // BACKCOLOR {}
            FONTCOLOR aFontColor
            TRANSPARENT .T.
            ALIGNMENT Center						// Left | Right | Center
            HELPID Nil
            VISIBLE .T.
            ENDELLIPSES .F.
            NOPREFIX .T.
      END LABEL

		DEFINE IMAGE Image_3						// Boton 3 - ARTICULOS
			ROW    1
			COL    160
			WIDTH  70
			HEIGHT 70
			TRANSPARENT .T.
            TRANSPARENTCOLOR Nil
            BACKGROUNDCOLOR aBackColor
			PICTURE "Carrito64"
            ADJUSTIMAGE .F.
			HELPID Nil
			VISIBLE .T.
			STRETCH .F.
            TOOLTIP "Artículos (Nuevo, Consultar, Editar, Eliminar)"
			// ACTION Main_Button_Articulos_Action ()
			ACTION MsgInfo ("Option selected...")
		END IMAGE

     DEFINE LABEL Label_3
            // PARENT <ParentWindowName>
            ROW nLabelRow
            COL 160
            VALUE "Artículos"
            ONCLICK Nil
            WIDTH 70
            HEIGHT 25
            AUTOSIZE .F.
            FONTNAME cFuenteName
            FONTSIZE nFuenteSize
            FONTBOLD .F.
            FONTITALIC .T.
            FONTUNDERLINE .F.
            FONTSTRIKEOUT .F.
            TOOLTIP ""
            // BACKCOLOR {}
            FONTCOLOR aFontColor
            TRANSPARENT .T.
            ALIGNMENT Center						// Left | Right | Center
            HELPID Nil
            VISIBLE .T.
            ENDELLIPSES .F.
            NOPREFIX .T.
      END LABEL

		DEFINE IMAGE Image_4						// Boton 4 - RUBROS
			ROW    1
			COL    240
			WIDTH  70
			HEIGHT 70
			TRANSPARENT .T.
            TRANSPARENTCOLOR Nil
            BACKGROUNDCOLOR aBackColor
			PICTURE "Tree"
            ADJUSTIMAGE .F.
			HELPID Nil
			VISIBLE .T.
			STRETCH .F.
            TOOLTIP "Rubros (Nuevo, Consultar, Editar, Eliminar)"
			// ACTION Main_Button_Rubros_Action ()
			ACTION MsgInfo ("Option selected...")
		END IMAGE

     DEFINE LABEL Label_4
            // PARENT <ParentWindowName>
            ROW nLabelRow
            COL 240
            VALUE "Rubros"
            ONCLICK Nil
            WIDTH 70
            HEIGHT 25
            AUTOSIZE .F.
            FONTNAME cFuenteName
            FONTSIZE nFuenteSize
            FONTBOLD .F.
            FONTITALIC .T.
            FONTUNDERLINE .F.
            FONTSTRIKEOUT .F.
            TOOLTIP ""
            // BACKCOLOR {}
            FONTCOLOR aFontColor
            TRANSPARENT .T.
            ALIGNMENT Center						// Left | Right | Center
            HELPID Nil
            VISIBLE .T.
            ENDELLIPSES .F.
            NOPREFIX .T.
      END LABEL

		DEFINE IMAGE Image_5						// Boton 5 - MATERIAS PRIMAS
			ROW    1
			COL    320
			WIDTH  70
			HEIGHT 70
			TRANSPARENT .T.
            TRANSPARENTCOLOR Nil
            BACKGROUNDCOLOR aBackColor
			PICTURE "Toxic"
            ADJUSTIMAGE .F.
			HELPID Nil
			VISIBLE .T.
			STRETCH .F.
            TOOLTIP "Materias Primas (Nuevo, Consultar, Editar)"
			// ACTION Main_Button_Materias_Primas_Action ()
			ACTION MsgInfo ("Option selected...")
		END IMAGE

     DEFINE LABEL Label_5
            // PARENT <ParentWindowName>
            ROW nLabelRow
            COL 320
            VALUE "M. Primas"
            ONCLICK Nil
            WIDTH 70
            HEIGHT 25
            AUTOSIZE .F.
            FONTNAME cFuenteName
            FONTSIZE nFuenteSize
            FONTBOLD .F.
            FONTITALIC .T.
            FONTUNDERLINE .F.
            FONTSTRIKEOUT .F.
            TOOLTIP ""
            // BACKCOLOR {}
            FONTCOLOR aFontColor
            TRANSPARENT .T.
            ALIGNMENT Center						// Left | Right | Center
            HELPID Nil
            VISIBLE .T.
            ENDELLIPSES .F.
            NOPREFIX .T.
      END LABEL

		DEFINE IMAGE Image_6						// Boton 6 - CLIENTES
			ROW    1
			COL    400
			WIDTH  70
			HEIGHT 70
			TRANSPARENT .T.
            TRANSPARENTCOLOR Nil
            BACKGROUNDCOLOR aBackColor
			PICTURE "Clientes"
            ADJUSTIMAGE .F.
			HELPID Nil
			VISIBLE .T.
			STRETCH .F.
            TOOLTIP "Clientes (Nuevo, Consultar, Editar, Eliminar)"
			// ACTION Main_Button_Clientes_Action ()
			ACTION MsgInfo ("Option selected...")
		END IMAGE

     DEFINE LABEL Label_6
            // PARENT <ParentWindowName>
            ROW nLabelRow
            COL 400
            VALUE "Clientes"
            ONCLICK Nil
            WIDTH 80
            HEIGHT 25
            AUTOSIZE .F.
            FONTNAME cFuenteName
            FONTSIZE nFuenteSize
            FONTBOLD .F.
            FONTITALIC .T.
            FONTUNDERLINE .F.
            FONTSTRIKEOUT .F.
            TOOLTIP ""
            // BACKCOLOR {}
            FONTCOLOR aFontColor
            TRANSPARENT .T.
            ALIGNMENT Center						// Left | Right | Center
            HELPID Nil
            VISIBLE .T.
            ENDELLIPSES .F.
            NOPREFIX .T.
      END LABEL

		DEFINE IMAGE Image_7						// Boton 7 - PROVEEDORES
			ROW    1
			COL    480
			WIDTH  70
			HEIGHT 70
			TRANSPARENT .T.
            TRANSPARENTCOLOR Nil
            BACKGROUNDCOLOR aBackColor
			PICTURE "Camion"
            ADJUSTIMAGE .F.
			HELPID Nil
			VISIBLE .T.
			STRETCH .F.
            TOOLTIP "Proveedores (Nuevo, Consultar, Editar, Eliminar)"
			// ACTION Main_Button_Proveedores_Action ()
			ACTION MsgInfo ("Option selected...")
		END IMAGE

     DEFINE LABEL Label_7
            // PARENT <ParentWindowName>
            ROW nLabelRow
            COL 480
            VALUE "Proveedores"
            ONCLICK Nil
            WIDTH 70
            HEIGHT 25
            AUTOSIZE .F.
            FONTNAME cFuenteName
            FONTSIZE nFuenteSize
            FONTBOLD .F.
            FONTITALIC .T.
            FONTUNDERLINE .F.
            FONTSTRIKEOUT .F.
            TOOLTIP ""
            // BACKCOLOR {}
            FONTCOLOR aFontColor
            TRANSPARENT .T.
            ALIGNMENT Center						// Left | Right | Center
            HELPID Nil
            VISIBLE .T.
            ENDELLIPSES .F.
            NOPREFIX .T.
      END LABEL

		DEFINE IMAGE Image_8						// Boton 8 - HISTORIAL
			ROW    1
			COL    560
			WIDTH  70
			HEIGHT 70
			TRANSPARENT .T.
            TRANSPARENTCOLOR Nil
            BACKGROUNDCOLOR aBackColor
			PICTURE "Archivador"
            ADJUSTIMAGE .F.
			HELPID Nil
			VISIBLE .T.
			STRETCH .F.
            TOOLTIP "Consultar el Historial de Ventas."
			// ACTION Main_Button_Historial_Action ()
			ACTION MsgInfo ("Option selected...")
		END IMAGE

     DEFINE LABEL Label_8
            // PARENT <ParentWindowName>
            ROW nLabelRow
            COL 560
            VALUE "Historial"
            ONCLICK Nil
            WIDTH 70
            HEIGHT 25
            AUTOSIZE .F.
            FONTNAME cFuenteName
            FONTSIZE nFuenteSize
            FONTBOLD .F.
            FONTITALIC .T.
            FONTUNDERLINE .F.
            FONTSTRIKEOUT .F.
            TOOLTIP ""
            // BACKCOLOR {}
            FONTCOLOR aFontColor
            TRANSPARENT .T.
            ALIGNMENT Center						// Left | Right | Center
            HELPID Nil
            VISIBLE .T.
            ENDELLIPSES .F.
            NOPREFIX .T.
      END LABEL

		DEFINE IMAGE Image_9						// Boton 9 - PREFERENCIAS
			ROW    1
			COL    640
			WIDTH  70
			HEIGHT 70
			TRANSPARENT .T.
            TRANSPARENTCOLOR Nil
            BACKGROUNDCOLOR aBackColor
			PICTURE "Config"
            ADJUSTIMAGE .F.
			HELPID Nil
			VISIBLE .T.
			STRETCH .F.
            TOOLTIP "Cambiar la Configuración del Programa."
			// ACTION Main_Button_Preferencias_Action ()
			ACTION MsgInfo ("Option selected...")
		END IMAGE

     DEFINE LABEL Label_9
            // PARENT <ParentWindowName>
            ROW nLabelRow
            COL 640
            VALUE "Preferencias"
            ONCLICK Nil
            WIDTH 70
            HEIGHT 25
            AUTOSIZE .F.
            FONTNAME cFuenteName
            FONTSIZE nFuenteSize
            FONTBOLD .F.
            FONTITALIC .T.
            FONTUNDERLINE .F.
            FONTSTRIKEOUT .F.
            TOOLTIP ""
            // BACKCOLOR {}
            FONTCOLOR aFontColor
            TRANSPARENT .T.
            ALIGNMENT Center						// Left | Right | Center
            HELPID Nil
            VISIBLE .T.
            ENDELLIPSES .F.
            NOPREFIX .T.
      END LABEL

		DEFINE IMAGE Image_10						// Boton 10 - BACKUP
			ROW    1
			COL    720
			WIDTH  70
			HEIGHT 70
			TRANSPARENT .T.
            TRANSPARENTCOLOR Nil
            BACKGROUNDCOLOR aBackColor
			PICTURE "Pendrive"
            ADJUSTIMAGE .F.
			HELPID Nil
			VISIBLE .T.
			STRETCH .F.
            TOOLTIP "Realiza una Copia de Seguridad."
			// ACTION Main_Button_Backup_Action ()
			ACTION MsgInfo ("Option selected...")
		END IMAGE

     DEFINE LABEL Label_10
            // PARENT <ParentWindowName>
            ROW nLabelRow
            COL 720
            VALUE "BackUp"
            ONCLICK Nil
            WIDTH 70
            HEIGHT 25
            AUTOSIZE .F.
            FONTNAME cFuenteName
            FONTSIZE nFuenteSize
            FONTBOLD .F.
            FONTITALIC .T.
            FONTUNDERLINE .F.
            FONTSTRIKEOUT .F.
            TOOLTIP ""
            // BACKCOLOR {}
            FONTCOLOR aFontColor
            TRANSPARENT .T.
            ALIGNMENT Center						// Left | Right | Center
            HELPID Nil
            VISIBLE .T.
            ENDELLIPSES .F.
            NOPREFIX .T.
      END LABEL

		DEFINE IMAGE Image_11						// Boton 11 - ACERCA DE
			ROW    1
			COL    800
			WIDTH  70
			HEIGHT 70
			TRANSPARENT .T.
            TRANSPARENTCOLOR Nil
            BACKGROUNDCOLOR aBackColor
			PICTURE "Acerca_De"
            ADJUSTIMAGE .F.
			HELPID Nil
			VISIBLE .T.
			STRETCH .F.
            TOOLTIP "Acerca de este Programa."
			ACTION Main_Button_AcercaDe_Action ()
		END IMAGE

     DEFINE LABEL Label_11
            // PARENT <ParentWindowName>
            ROW nLabelRow
            COL 800
            VALUE "Acerca de..."
            ONCLICK Nil
            WIDTH 70
            HEIGHT 25
            AUTOSIZE .F.
            FONTNAME cFuenteName
            FONTSIZE nFuenteSize
            FONTBOLD .F.
            FONTITALIC .T.
            FONTUNDERLINE .F.
            FONTSTRIKEOUT .F.
            TOOLTIP ""
            // BACKCOLOR {}
            FONTCOLOR aFontColor
            TRANSPARENT .T.
            ALIGNMENT Center						// Left | Right | Center
            HELPID Nil
            VISIBLE .T.
            ENDELLIPSES .F.
            NOPREFIX .T.
      END LABEL

		DEFINE IMAGE Image_12						// Boton 12 - SALIR
			ROW    1
			COL    920
			WIDTH  70
			HEIGHT 70
			TRANSPARENT .T.
            TRANSPARENTCOLOR Nil
            BACKGROUNDCOLOR aBackColor
			PICTURE "Exit"
            ADJUSTIMAGE .F.
			HELPID Nil
			VISIBLE .T.
			STRETCH .F.
            TOOLTIP "Salir."
			ACTION Main_Boton_Salir ()
		END IMAGE

     DEFINE LABEL Label_12
            // PARENT <ParentWindowName>
            ROW nLabelRow
            COL 920
            VALUE "Salir"
            ONCLICK Nil
            WIDTH 70
            HEIGHT 25
            AUTOSIZE .F.
            FONTNAME cFuenteName
            FONTSIZE nFuenteSize
            FONTBOLD .F.
            FONTITALIC .T.
            FONTUNDERLINE .F.
            FONTSTRIKEOUT .F.
            TOOLTIP ""
            // BACKCOLOR {}
            FONTCOLOR aFontColor
            TRANSPARENT .T.
            ALIGNMENT Center						// Left | Right | Center
            HELPID Nil
            VISIBLE .T.
            ENDELLIPSES .F.
            NOPREFIX .T.
      END LABEL

	END WINDOW

	Main. Activate
	
Return Nil
//-----------------------------------------------------------------------------------------------------//

Function Main_OnInteractive_Close

	MsgStop ("Para cerrar la Aplicación de click en Salir !" , "Atención !")

Return .F.
//-----------------------------------------------------------------------------------------------------//

Function Main_Boton_Salir

	// pnRowIniMain := GetProperty ( "Main" , "Row" )
	// pnColIniMain := GetProperty ( "Main" , "Col" )

	// Guarda_Ini ()										// Guardo en "Config.ini" la posición de la ventana

	// Close_DataBases ()									// Cierro todas las DB y sus Index
	
	Main. Release

Return Nil